Package: org.grails.plugins.web.mime

## [Java] Class MimeTypesGrailsPlugin

- org.grails.plugins.web.mime.MimeTypesGrailsPlugin

- Provides content negotiation capabilities to Grails via a new withFormat method on controllers as well as a format property on the HttpServletRequest instance.

  deprecated:
    Use MimeTypesConfiguration instead
  Authors:
    Graeme Rocher
  Since:
    1.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `groovy.lang.Closure` | `doWithSpring()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractMimeTypesGrailsPlugin` | `doWithSpring`
    `class Plugin` | `beans, doWithApplicationContext, doWithDynamicMethods, doWithSpring, getApplicationContext, getConfig, getManager, onChange, onConfigChange, onShutdown, onStartup, setApplicationContext`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### @java.lang.Override public groovy.lang.Closure doWithSpring()